@import 'butter-themes';
$theme-map: ();

// Utilities:
$rem-base: 16px;

@function strip-unit($num) {
  @return $num / ($num * 0 + 1);
}

@function convert-to-rem($value, $base-value: $rem-base)  {
  $value: strip-unit($value) / strip-unit($base-value) * 1rem;
  @if ($value == 0rem) { $value: 0; } // Turn 0rem into 0
  @return $value;
}

@function rem-calc($values, $base-value: $rem-base) {
  $max: length($values);
  @if $max == 1 { @return convert-to-rem(nth($values, 1), $base-value); }
  $remValues: ();
  @for $i from 1 through $max {
    $remValues: append($remValues, convert-to-rem(nth($values, $i), $base-value));
  }
  @return $remValues;
}
// String Replace
@function str-replace($string, $search, $replace: "") {
	$index: str-index($string, $search);

	@if $index {
		@return str-slice($string, 1, $index - 1) + $replace + str-replace(str-slice($string, $index + str-length($search)), $search, $replace);
	}

	@return $string;
}

@mixin themify($themes: $themes) {
  @each $theme, $map in $themes {

    .theme-#{$theme} & {
      @each $key, $submap in $map {
        $value: map-get(map-get($themes, $theme), '#{$key}');
        $theme-map: map-merge($theme-map, ($key: $value)) !global;
      }

      @content;
    }

  }
}

@function themed($key) {
  @return map-get($theme-map, $key);
}

@mixin gradient-primary {
  background: rgba(255,81,147,1);
  background: linear-gradient(45deg, rgba(255,81,147,1) 0%, rgba(242,149,0,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ff5193', endColorstr='#f29500', GradientType=1 );
}

@mixin box-sizing($box-sizing-value: border-box) {
  -moz-box-sizing: $box-sizing-value;
  -webkit-box-sizing: $box-sizing-value;
  box-sizing: $box-sizing-value;
}

@mixin corners($tr, $tl, $bl, $br) {
  -webkit-border-top-left-radius: $tr;
  -moz-border-radius-topleft: $tr;
  border-top-left-radius: $tr;
  -webkit-border-top-right-radius: $tl;
  -moz-border-radius-topright: $tl;
  border-top-right-radius: $tl;
  -webkit-border-bottom-left-radius: $bl;
  -moz-border-radius-bottomleft: $bl;
  border-bottom-left-radius: $bl;
  -webkit-border-bottom-right-radius: $br;
  -moz-border-radius-bottomright: $br;
  border-bottom-right-radius: $br;
}
// Layout
@mixin flex($dir: row, $grow: 0, $shrink: 1, $basis: auto) {
  display: flex;
  flex-direction: $dir;
  flex: $grow $shrink $basis;
}
@mixin butter-layout {
  @include themify($themes) {
    background-color: themed('color-bg-tertiary');
    color: themed('color-text-primary');
  }
  @include flex($dir: column, $grow: 1, $shrink: 0, $basis: 100%);
  align-items: stretch;
  height: 100vh;

  .main.flex.column {
    overflow: auto;
    height: 100%;
    flex-basis: 100%;
    align-items: center;
    -webkit-overflow-scrolling: touch;
    box-sizing: border-box;
  }
}
@mixin butter-site {
  > header {
    @include flex($dir: column, $grow: 0, $shrink: 1);
    @include themify($themes) {
      height: themed('header-height');
    }
    z-index: 3;
  }
  > main {
    @include themify($themes) {
      height: calc(100vh - #{themed('header-height')});
    }
    @include flex;

    > .main {
      padding: 0 $grid*3;
    }

    section {
      @include flex($grow: 1, $shrink: 0);
      justify-content: center;
      overflow-y: auto;
    }
  }
}
// Typography
@mixin font($size, $line-height, $face) {
  font: #{$size}/#{$line-height} $face;
}
@mixin butter-type {
  h1 {
    @include font(24px,32px,$font-sans);
    text-align: center;
    font-weight: normal;
    margin: 0;
  }
  h1 span {
    @include font(14px,16px,$font-sans);
    @include themify($themes) {
      color: themed('color-text-secondary');
    }
  }
  h2 {
    @include font(18px,23px,$font-sans);
    margin: $grid*1.5 0;
  }
  h3 {
    @include font(14px,16px,$font-sans);
    padding: 18px 16px 14px;
    margin: 0;
    width: 100%;
    box-sizing: border-box;

    &.dim {
      @include themify($themes) {
        color: themed('color-text-inactive');
      }
    }
    &.active {
      @include themify($themes) {
        color: themed('color-ui-accent');
      }
    }
    .transaction-history & {
      @include font(16px,24px,$font-sans);
    }
  }
  h4 {
    @include font(16px,24px,$font-sans);
    @include themify($themes) {
      color: themed('color-text-inactive');
    }
    margin: 0 0 $grid*3;
    text-align: center;
  }

  p {
    margin-top: 0;
    margin-bottom: $grid*2;
  }

  b { font: $font-sans-bold };

  a {
    @include themify($themes) {
      color: themed('color-button-primary');
    }
    text-decoration: none;
  }
}
// Font Face
@mixin font-face($name, $path, $weight: null, $style: null, $exts: eot woff2 woff ttf svg) {
	$src: null;

	$extmods: (
		eot: "?",
		svg: "#" + str-replace($name, " ", "_")
	);

	$formats: (
		otf: "opentype",
		ttf: "truetype"
	);

	@each $ext in $exts {
		$extmod: if(map-has-key($extmods, $ext), $ext + map-get($extmods, $ext), $ext);
		$format: if(map-has-key($formats, $ext), map-get($formats, $ext), $ext);
		$src: append($src, url(quote($path + "." + $extmod)) format(quote($format)), comma);
	}

	@font-face {
		font-family: quote($name);
		font-style: $style;
		font-weight: $weight;
		src: $src;
	}
}
@mixin title {
  h1 {
    @include font(28px,36px,$font-sans-bold);
    display: flex;
    align-items: center;
  }
  h1 span {
    @include themify($themes) {
      color: themed('color-text-tertiary')
    }
    @include font(14px,24px,$font-sans);
    margin-left: $grid*3;
  }
  h1 span a {
    @include themify($themes) {
      color: themed('color-text-primary');
      border-bottom: 1px solid themed('color-text-primary');
    }
  }
}
@mixin button {
  @include themify($themes) {
    @include corners(themed('corner-radius'),themed('corner-radius'),themed('corner-radius'),themed('corner-radius'));
    background: themed('color-button-secondary');
    color: themed('color-text-primary');
    min-height: themed('button-height');
  }
  @include flex($shrink: 1);
  @include font(14px,20px,$font-sans-bold);
  -webkit-appearance: none;
  appearance: none;
  outline: none;
  border: none;
  width: auto;
  justify-content: center;
  align-items: center;
  text-decoration: none;

  &.primary {
    @include themify($themes) {
      background: themed('color-button-primary');
      color: themed('color-button-text');
    }
  }

  &.teritary {
    @include themify($themes) {
      background: themed('color-button-text');
      color: themed('color-button-primary');
      border: 1px solid themed('border-color');
    }
  }

  &.error {
    @include themify($themes) {
      color: themed('color-ui-error');
      background-color: rgba(themed('color-ui-error'), 0.1);
    }
    font-family: $font-sans;
  }

  &.error-alt {
    @include themify($themes) {
      color: themed('color-ui-error');
    }
    font-family: $font-sans;
    background: transparent;
    height: auto;
  }

  &.filter {
    @include themify($themes) {
      background-color: themed('color-select-primary');
      justify-content: space-evenly;
      padding: 0 $grid;
      box-sizing: content-box;

      > * {
        margin: 0 $grid/2;
        padding: 0;
      }

      span {
        @include flex($shrink: 0);
        justify-content: flex-start;
        margin: 0 $grid/2;

        a {
          margin-left: $grid/2;
        }
      }
      .icon {
        @include flex;
        @include corners(0,0,0,0);
        color: themed('color-button-primary');
        width: auto;
        height: auto;
        background: transparent;
      }
      .select {
        @include flex($shrink: 1);
        justify-content: center;
        align-items: center;
        border-left: 1px solid rgba(themed('color-bg-primary'), .3);
        height: 14px;
        width: 14px;
        padding-left: $grid;
        margin-left: $grid;
        color: themed('color-button-primary');
      }
      .clear {
        @include corners(50%,50%,50%,50%);
        @include flex;
        box-sizing: border-box;
        height: 16px;
        width: 16px;
        align-items: center;
        justify-content: center;
        background-color: themed('color-text-tertiary');

        svg {
          color: themed('color-select-primary');
        }
      }
    }
    @include font(14px,24px,$font-sans);
    &:hover {
      @include themify($themes) {
        background-color: themed('color-button-primary');
        color: themed('color-text-secondary');

        a {
          color: themed('color-text-secondary');
        }
      }
      cursor: pointer;

      .icon,
      svg {
        color: themed('color-text-secondary');
      }
    }
  }

  &.active {
    @include themify($themes) {
      background-color: themed('color-button-primary');
      color: themed('color-button-text');
      .icon,
      .select {
        color: rgba(themed('color-button-text'), 0.6);
        border-color: rgba(themed('color-button-text'), 0.6);
      }
    }
  }

  &.ui {
    height: 32px;
    min-height: auto;
    padding: 0 $grid*1.6;
    flex-shrink: 0;
  }

  &.small {
    @include font(14px,20px,$font-sans-bold);
    flex-grow: 0;
    min-height: 41px;
    padding: 0 $grid*2.8;
  }

  &.large {
    flex-grow: 1;
  }

  &:disabled {
    opacity: .5;
    cursor: default;
  }
}
@mixin icon {
  @include themify($themes) {
    background-color: themed('color-icon-bg');
    color: themed('color-text-primary');
  }
  @include corners(50%, 50%, 50%, 50%);
  display: flex;
  box-sizing: border-box;
  align-items: center;
  justify-content: center;
  width: $grid*5;
  height: $grid*5;
  padding: 10px;
  position: relative;

  &.no-padding {
    padding: 0;
  }

  &.big {
    width: $grid*8.5;
    height: $grid*8.5;
  }
  > svg, > img {
    @include themify($themes) {
      color: inherit;
    }
    max-width: 100%;
    max-height: 100%;
  }
  svg .cls-1-usd{
    fill: transparent;
  }
  .flag {
    fill: none;
    display: inline-block;
    height: $grid*5*0.7;
    width: $grid*5;
  }
  + span {
    margin-left: $grid*2;
    flex-grow: 1;
  }
  .status {
    position: absolute;
    bottom: -$grid/2;
    right: -$grid/2;

    &.in-progress {
      @include themify($themes) {
        color: themed('color-ui-accent');
      }
    }
    &.completed {
      @include themify($themes) {
        color: themed('color-ui-success');
      }
    }
    &.failed {
      @include themify($themes) {
        color: themed('color-ui-error');
      }
    }
  }

}
@mixin input-label {
  @include themify($themes) {
    color: themed('color-text-primary');
  }

  position: absolute;
  top: $grid*0.5;
  left: $grid;

  @include font-multiple(1);
}

@mixin input {
  @include themify($themes) {
    background-color: themed('color-bg-secondary');
    color: themed('color-input-primary');
  }
  @include font(14px,20px,$font-sans);

  padding: $grid*1.25 $grid*4 $grid $grid;
  // @include font-multiple(1.25);
  // height: 38px;
  outline: none;
  box-sizing: border-box;
  border: none;

  &:-webkit-autofill,
  &:-webkit-autofill:hover,
  &:-webkit-autofill:focus {
    @include themify($themes) {
      -webkit-text-fill-color: themed('color-text-primary');
    }
    -webkit-animation-name: autofill;
    -webkit-animation-fill-mode: both;
  }
}

// Forms
%field-container {
  position: relative;
}
%label-default {
  @include font(14px,20px,$font-sans);
  transition: all 300ms ease;
  pointer-events: none;
  z-index: 2;

  position: absolute;
  top: $grid*1.25;
  left: $grid;
}
%label-offset {
  top: $grid*0.25;
  font-size: $grid*1.5;
}
@mixin form-field() {
  @include themify($themes) {
    color: themed('color-input-primary');
    background-color: themed('color-bg-secondary');
    border: 1px solid themed('color-input-border');
  }
  @include corners($grid/2,$grid/2,$grid/2,$grid/2);
  @extend %field-container;
  box-sizing: border-box;
  position: relative;
  // padding: $grid*1.25 $grid*2;
  // font-family: $font-sans;
  // font-size: $grid*2;
  // margin-bottom: $grid*0.5;
  width: 100%;
  height: 40px;

  &.textarea-field {
    display: flex;
    height: auto;
  }

  &:focus {
    @include themify($themes) {
      border-color: themed('color-button-primary');
    }

    outline: none;
  }

  .placeholder {
    @extend %label-default;
  }
  &.has-error .placeholder {
    @include themify($themes) {
      color: themed('color-ui-error');
    }
  }
  &.has-focus .placeholder,
  &.has-content .placeholder {
    @include themify($themes) {
      color: themed('color-text-inactive');
    }
    @extend %label-offset;
  }

  label {
    @include input-label;

    opacity: 0;
    transition: opacity 200ms linear;

    &.active {
      opacity: 1;
    }
  }

  // support both active input wrapper & active label:
  &.active label {
    opacity: 1;
  }

  input, textarea {
    @include input;
    @include corners($grid/2,$grid/2,$grid/2,$grid/2);
    width: 100%;
    height: auto;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
  }

  textarea {
    padding-top: $grid*2.5;
  }
  .textarea {
    @include input;
    @include corners($grid/2,$grid/2,$grid/2,$grid/2);
    @include themify($themes) {
      color: themed('color-text-primary');
    }
    word-break: break-all;
  }

  select {
    @include input;
    appearance: none;
  }

  &.has-focus,
  &.has-content {
    select, input {
      padding: $grid*2 $grid*4 $grid/4 $grid;
    }
  }

  &.has-error input {
    @include themify($themes) {
      border-bottom-color: themed('color-ui-error');
    }
  }

  .note, .error {
    display: block;
    font-size: $grid * 1.5;
    line-height: $grid * 1.5;
    padding-left: $grid*1.5;
  }

  .error {
    @include themify($themes) {
      color: themed('color-ui-error');
    }
    display: none;
  }

  &.has-error .note {
    display: none;
  }

  &.has-error .error {
    display: block;
  }
}

@mixin progress-icon {
  position: relative;

  &.icon {
    @include themify($themes) {
      background: transparent;
    }
  }

  svg.ring {
    position: absolute;
    top: 0;
    right: 0;

    width: 100%;
    height: 100%;

    path {
      @include themify($themes) {
        fill: rgba(themed('color-ui-accent'), .3);
        stroke: themed('color-ui-accent');
      }

      stroke-width: 2px;
      stroke-linecap: round;
    }
  }

  &.blank svg.ring path {
    stroke: transparent;
  }

  &.done svg.ring path {
    @include themify($themes) {
      fill: themed('color-ui-accent');
    }
    stroke: transparent;
  }

  .inner {
    position: absolute;
    display: flex;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;

    justify-content: center;
    align-items: center;
    text-align: center;

    svg, img {
      margin: 0 $grid;
      height: $grid*2.5;
      width: $grid*2.5;

      flex-shrink: 0;
      flex-grow: 0;
    }
  }
}

@mixin page {
  @include flex($dir:column,$grow:1,$shrink:0);

  .header {
    @include themify($themes) {
      background-color: themed('color-bg-primary');
    }
    @include flex($dir:column,$shrink:1,$grow:0);

    justify-content: center;
    align-items: center;
    padding: $grid*6 $grid*3;
  }
  .header h1 {
    @include font(28px,36px,$font-sans);
    margin: $grid*2.5 0 0;
  }
  .header h4 {
    @include font(14px,20px,$font-sans);
  }
  .content {
    flex-grow: 1;
    box-sizing: border-box;
    padding: 0 $grid;
  }
  .content, .actions {
    display: flex;
    flex-direction: column;
  }
  &.subpage .content {
    justify-content: center;
    align-items: center;
  }
  &.formpage form {
    padding: $grid*2;
  }
  .content > p {
    padding: 0 $grid*7.25;
    margin: 0 0 $grid;
    text-align: center;
  }
  .actions {
    flex-direction: row;
    margin: $grid;
  }
  .actions > * {
    margin: 0 $grid/2;
  }
}
/*
 Modal
 */
@mixin modal {
  position: fixed;
  margin: auto;
  z-index: 9;
  box-sizing: border-box;

  .close {
    position: absolute;
    top: $grid*2;
    right: $grid*2;

    img {
      width: $grid*4;
      height: $grid*4;
    }
  }

  .header {
    h1 {
      text-align: left;
      margin: 0;
    }

    .icon {
      height: 75px;
      width: 75px;
      background: transparent;
      padding: 0;
      margin: $grid 0;
    }

    .icon img {
      height: 100%;
      width: 100%;
    }
  }

  .actions {
    @include flex;
    flex-wrap: wrap;
    > .flex.row {
      @include flex($grow: 1, $basis: 100%);
      button {
        margin: $grid*2;
      }
    }
  }
}

@mixin modal-app {
  @include themify($themes) {
    background-color: themed('color-bg-tertiary');
  }
  @include page;
  top: $grid;
  left: 0;
  right: 0;
  bottom: 0;
  height: auto;

  .header {
    @include corners(10px, 10px, 0, 0);
    background-color: transparent;
    align-items: center;
    justify-content: center;

    h1, p {
      text-align: center;
    }

    .theme-hydra & {
      background-color: themed('color-button-primary');
    }
    &.complete {
      .theme-hydra & {
        background: linear-gradient(52.35deg, #41BB85 -12.48%, #26B645 140.55%);
      }
    }
    &.failed {
      .theme-hydra & {
        background-color: themed('color-ui-error');
      }
    }
  }

  .content {
    padding: 14px 30px;
  }
}

@mixin modal-overlay {
  @include themify($themes) {
    background-color: rgba(themed('color-bg-primary'), 0.6);
  }
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 8;

  display: flex;
  align-items: center;
  justify-content: center;
}

@mixin modal-small {
  @include themify($themes) {
    @include corners(themed('corner-radius')/2,themed('corner-radius')/2,themed('corner-radius')/2,themed('corner-radius')/2);
    background-color: themed('color-bg-secondary');
  }
  @include flex($dir: column, $shrink: 0, $grow: 0);
  max-width: 460px;
  padding: $grid*2;

  .content, .actions {
    padding: 0 $grid*2;

    > * {
      margin: 0 0 $grid*2;
      padding: 0;
    }
  }
  .content {
    text-align: left;
  }
  .content p {
    @include themify($themes) {
      color: themed('color-text-tertiary');
    }
    @include font(14px,20px,$font-sans);
  }
  .header h1 {
    margin: $grid $grid*2 $grid*2;
    font-family: $font-sans-bold;
  }
}

@mixin modal-medium {
  @include themify($themes) {
    @include corners(themed('corner-radius')/2,themed('corner-radius')/2,themed('corner-radius')/2,themed('corner-radius')/2);
    background-color: themed('color-bg-secondary');
  }
  @include flex($dir: column, $shrink: 0, $grow: 1, $basis: 100%);
  width: 100%;
  max-width: 1024px;
  padding: 0;
  .actions {
    justify-content: flex-end;
  }
  .actions > .flex.row {
    flex-basis: 50%;
    flex-grow: 0;
  }
}

/*
Lists
*/
@mixin transaction-item {
  @include themify($themes) {
    border-bottom: 1px solid themed('border-color');
  }
  @include flex;
  box-sizing: border-box;
  width: 100%;
  align-items: center;
  padding: 16px;
	overflow-wrap: break-word;

  > div {
    display: flex;
    flex-grow: 1;
    flex-direction: column;
    padding-left: $grid*2;
    align-items: flex-end;
  }
  > div:first-child {
    flex-grow: 0;
    flex-direction: row;
    align-items: center;
    padding-left: 0;
    > .flex.column {
      flex-shrink: 1;
    }
  }
  .icon {
    margin-right: $grid*2;
    flex-shrink: 0;
  }
  span {
    @include themify($themes) {
      color: themed('color-text-primary');
    }
    @include font(16px,24px,$font-sans);
    display: flex;
    align-items: center;
    white-space: nowrap;
  }
  span.sub {
    @include themify($themes) {
      color: themed('color-text-inactive');
    }
    @include font(14px,20px,$font-sans);
    white-space: normal;
  }
}

@mixin description-list {
  @include flex;
  @include themify($themes) {
    border-bottom: 1px solid themed('border-color');
  }
  padding: $grid*2 $grid;
  .arrow-right {
    background-size: $grid*2.5 $grid*2.5;
    background-image: url("#{$icon-path}chevron-right.svg");
    opacity: .7;

    display: flex;
    flex-shrink: 0;
    align-self: center;

    width: $grid*2.5;
    height: $grid*2.5;
  }
  .icon {
    flex-shrink: 0;
    flex-grow: 0;
  }
  .content {
    @include flex($dir: column, $shrink: 1, $grow: 1);
  }
  .content h2 {
    margin: 0 0 $grid;
  }
  .content span {
    @include themify($themes) {
      color: themed('color-text-secondary');
    }
    @include font(14px,20px,$font-sans);

    text-align: left;
    padding: 0;
    margin: 0;
  }
}

@mixin select-list {
  @include flex($dir: column, $shrink: 0, $grow: 0, $basis: 25%);

  > * {
    @include font(16px,24px,$font-sans);
    @include themify($themes) {
      color: themed('color-text-tertiary');
      background-color: themed('color-bg-secondary');
    }
    justify-content: flex-start;
    padding: $grid $grid*2;
    height: auto;
    text-align: left;

    &.selected {
      @include themify($themes) {
        color: themed('color-text-primary');
        background-color: themed('color-select-primary');
      }
      font-family: $font-sans-bold;
    }
  }
}

@mixin named-list {
  @include themify($themes) {
    color: themed('color-text-secondary');
    border-top: 1px solid themed('border-color');
  }
  padding: $grid*2 0;

  &:first-child {
    border: none;
  }

  > div {
    @include themify($themes) {
      color: themed('color-text-primary');
    }
    align-items: flex-start;
  	word-break: break-all;
  }
  > div:first-child {
    @include themify($themes) {
      color: themed('color-text-tertiary');
    }
    font-size: 14px;
    flex-basis: 33%;
  	flex-shrink: 0;
  }
}

@mixin filtered-content {
  @include flex($dir: row, $shrink: 0, $grow: 1);
  padding: 20px $grid*2;
  .list {
    padding: 0 $grid*2;
    flex-shrink: 0;
    flex-grow: 0;
    flex-basis: 20%;
    max-width: 236px;
  }
  > .content {
    @include flex($dir: column, $grow: 1, $shrink: 1);
    @include title;
  }
  > .content > * {
    padding: 0 $grid*2;
    flex-shrink: 1;
    flex-grow: 0;
  }
  > .content .header {
    display: flex;
  }
  > .content .header .text-field {
    @include flex($shrink: 0, $basis: 25%);
  }
  .header > h1 {
    flex-grow: 1;
    text-align: left;
    margin: 0;
  }
  > .content h1 svg {
    margin-left: $grid * 2;
  }
  > .content .columns {
    flex-grow: 1;
    flex-basis: 100%;
  }
  > .content .columns > * {
    flex-basis: 50%;
    margin: $grid*2;
  }


  .actions {
    @include themify($themes) {
      color: themed('color-text-tertiary');
    }
    margin-left: -$grid;
    margin-right: -$grid;
    flex-wrap: wrap;

    p {
      @include font(14px,24px,$font-sans);
      margin: 0;
    }
    > * {
      margin: $grid;
    }
  }
}

// Date Range Picker
@mixin date-picker {
  @include flex($dir: column);
  width: 100%;

  .header > h1 {
    margin: $grid*3 $grid*3.75;
  }

  .select-list {
    padding: 0 $grid*4;
    flex-basis: 15%;
    min-width: 200px;
  }
  section.main {
    @include flex($grow: 0, $shrink: 0, $basis: 100%);
    justify-content: flex-start;
  }
  .calendar {
    @include themify($themes) {
      background-color: themed('color-bg-tertiary');
    }
    @include flex($grow: 1, $shrink: 1);
    &-month {
      @include flex($dir: column, $grow: 1, $shrink: 1);
      margin: 0;
      padding: $grid*3;
      box-sizing: border-box;

      > h1 {
        justify-content: center;
        flex-basis: 100%;
        margin: $grid*0.75 0;
      }
    }
    &-week-header,
    &-week-days {
      @include flex($grow: 1, $basis: 100%);
      flex-wrap: wrap;
      margin: 0 -14px;
    }
    &-week-header span,
    &-week-days span {
      @include flex($grow: 0, $basis: 13%);
      justify-content: center;
      box-sizing: border-box;
      margin: $grid/4;
      padding: $grid;
    }
    &-week-days {
    }
    &-week-days span {
      @include themify($themes) {
        color: themed('color-text-tertiary');
      }
    }
    &-week-days .current {
      @include themify($themes) {
        background-color: themed('color-bg-primary');
        color: themed('color-text-primary');
        box-shadow: themed('box-shadow');
      }
      @include corners(6px, 6px, 6px, 6px);
    }
    &-week-days .selected {
      @include themify($themes) {
        background-color: themed('color-button-primary');
        color: themed('color-text-secondary');
        box-shadow: themed('box-shadow');
      }
      @include corners(6px, 6px, 6px, 6px);
    }
  }
}

// Layout:

@mixin absolute-full {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

%empty {
  @include themify($themes) {
    color: themed('color-text-tertiary');
  }
  padding: 0 $grid*4;
  align-items: center;
  justify-content: center;
  opacity: 0.6;
  min-height: 250px;

  p {
    @include font(16px,24px,$font-sans);
    margin: $grid*2 0 0;
  }
}

%category {
  font: 10px/15px $font-sans-bold;
  text-transform: uppercase;
  padding: rem-calc(12px) rem-calc(4px);
}

%link {
  @include themify($themes) {
    color: themed('color-text-primary');
  }

  display: flex;
  flex-grow: 1;
  font: 13px/16px $font-sans;
  padding: rem-calc(4px) rem-calc(8px);

  &.active {
    @include themify($themes) {
      background-color: themed('color-ui-accent');
      color: themed('color-button-text');
    }
  }
}

@mixin dashboard-nav {
  @include flex($dir: column, $grow: 0, $shrink: 0);
  @include themify($themes) {
    background-color: themed('color-bg-primary');
  }
  height: 100%;
  padding: 0;

  h3 {
    @extend %category;
  }
  nav {
    @include themify($themes) {
      border-bottom: themed('border');
    }
    padding: rem-calc(16px);
  }

  a {
    @extend %link;
  }
}

// Miscellaneous:

@mixin scroll-y {
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

@mixin font-multiple($f) {
  font-size: $grid*$f*0.65;
  line-height: $grid*$f;
  height: $grid*$f;
}
